--[[
PropCamUses = {}

if not _file.Exists("propcamrecords.txt") then
	_file.Write("propcamrecords.txt", "PROP CAMERA RECORDS\n")
end

function PCGravGunPickup(player, entity)
	if _EntGetModel(entity) == "models/props_lab/monitor01b.mdl" then
		_PrintMessage(player, 3, "Prop cameras are against the rules and your actions have been logged.")
		_PrintMessage(player, 3, "If you continue to try to exploit prop cameras, you will be auto-banned for a very long time.")
		_file.Write("propcamrecords.txt", _file.Read("propcamrecords.txt").."Attempted Pickup: ".._PlayerInfo(player, "name").." | ".._PlayerInfo(player, "networkid").."\n")
		if PropCamUses[_PlayerInfo(player, "networkid")] ~= nil then
			PropCamUses[_PlayerInfo(player, "networkid")] = PropCamUses[_PlayerInfo(player, "networkid")]+1
			if PropCamUses[_PlayerInfo(player, "networkid")] > 3 then
				PropCamUses[_PlayerInfo(player, "networkid")] = nil
				PCBan(player)
			end
		else
			PropCamUses[_PlayerInfo(player, "networkid")] = 1
		end
		_EntRemove(entity)
	end
end

function PCGravGunPunt(player, entity)
	if _EntGetModel(entity) == "models/props_lab/monitor01b.mdl" then
		_PrintMessage(player, 3, "Prop cameras are against the rules and your actions have been logged.")
		_PrintMessage(player, 3, "If you continue to try to exploit prop cameras, you will be auto-banned for a very long time.")
		_file.Write("propcamrecords.txt", _file.Read("propcamrecords.txt").."Attempted Punt: ".._PlayerInfo(player, "name").." | ".._PlayerInfo(player, "networkid").."\n")
		if PropCamUses[_PlayerInfo(player, "networkid")] ~= nil then
			PropCamUses[_PlayerInfo(player, "networkid")] = PropCamUses[_PlayerInfo(player, "networkid")]+1
			if PropCamUses[_PlayerInfo(player, "networkid")] > 3 then
				PropCamUses[_PlayerInfo(player, "networkid")] = nil
				PCBan(player)
			end
		else
			PropCamUses[_PlayerInfo(player, "networkid")] = 1
		end
		_EntRemove(entity)
	end
end

function PCBan(userid)
	_PlaySound("banned.wav")
	_PlaySound("vo/npc/male01/gethellout.wav")
	 _GModRect_Start("lm/lm")
	 _GModRect_SetPos (0, 0, 1, 1)
	 _GModRect_SetColor (0, 0, 0, 220)
	 _GModRect_SetTime (10, 0, 0)
	_GModRect_Send(userid, 6616)

	_GModText_Start( "ImpactMassive" )
	 _GModText_SetPos( -1, -1 )
	 _GModText_SetColor( 255, 255, 255, 255 )
	 _GModText_SetTime( 10, 1, 1 )
	 _GModText_SetText( "Have a nice day!\nBanned till Doomsday")
	_GModText_Send( userid, 5041 )
	_PrintMessageAll(3, _PlayerInfo(userid,"name").." is being banned till Doomsday for propcamera usage!")
	_ServerCommand("banid 0 ".._PlayerInfo(userid, "networkid").."\n")
	_ServerCommand("writeid\n")		AddTimer(9, 1, _ServerCommand, "kickid ".._PlayerInfo(userid, "networkid").." LEAVE NOW YOU FAGGIT!!\n")
end
]]

function PCGravGunPickup(player, entity)
	if _EntGetModel(entity) == "models/props_lab/monitor01b.mdl" then
		_PrintMessage(player, 3, "You'll get banned soon, I think.")
		_EntFire(entity, "kill", "", 0.1)
	end
end

function PCGravGunPunt(player, entity)
	if _EntGetModel(entity) == "models/props_lab/monitor01b.mdl" then
		_PrintMessage(player, 3, "You'll get banned soon, I think.")
		_EntFire(entity, "kill", "", 0.1)
	end
end

HookEvent("onGravGunPunt", PCGravGunPunt)
HookEvent("onGravGunPickup", PCGravGunPickup)

